// linke, obere Ecke des Rechtecks
const x = 10;
const y = 30;

function setup() {
  const meinCanvas = createCanvas(600, 300);
  meinCanvas.parent("canvasContainer");

  // Angaben zur Schrift
  textFont("Roboto Slab"); // hier auch der Webfont von Google!
  textSize(18);

  frameRate(30);
}

function draw() {
  background("#ddd");

  fill(255);
  stroke(0);
  rect(x, y, mouseX, mouseY);

  // Ausgabe der Flächengröße oberhalb des Rechtecks
  groessenAngabe();
}

function groessenAngabe() {
  noStroke();
  fill(0);

  // "flaechenBerechnung()" ist eine externe Funktion, die die Fläche ausrechnet
  // und den Wert zurückgibt
  text("Fläche des Rechtecks in Quadrat-px: " + flaechenBerechnung(), 10, 20);
}

function flaechenBerechnung() {
  let breite = mouseX - x;
  let hoehe = mouseY - y;
  let flaeche = Math.round(breite * hoehe);

  // nächste Zeile "schickt" den Wert zurück zur Ausgangsfunktion
  return flaeche;
}
